Von den Problemen einer Homepage

Nun, regelmäßige Besucher unserer Homepage werden sicherlich bemerkt haben, dass unsere Homepage einige Tage nun einige Aussetzer hatte. Dafür möchte ich mich als Website-Administrator herzlich entschuldigen, aber leider ist das administrieren eines Servers nicht meine Topdisziplin, obwohl ich 30 Jahre IT Erfahrung besitze.

Nun, was war der Grund.

Der Grund war ganz einfach: Die Plattform unserer Homepage, das Content-Management-System Joomla! wurde mal wieder erneuert und das mit Folgen für unsere Homepage.

Auf einmal tauchte beim Aufrufen unserer Seite nur unerwarteter Weise die Fehlermeldung Your host needs to use PHP 5.3.10 or higher to run this version of Joomla! auf. Nun war guter Rat teuer, aber auf Hilfe von außen konnte ich nicht rechnen. Unser Hosting Provider 1und1 teilte mir nur mit, dass sie für solche Probleme nicht zuständig seien.

Aber in der IT gilt: "GOOGLE is your best Friend" und nach einigen Minuten stellt ich heraus, dass "nur" ein Upgrade der JOOMLA! zugrunde liegenden Scriptingsprache PHP auf eine Version später als PHP 5.3.10 nötig war. Das sollte doch machbar sein. Im Internet gab es auch Befehle und Scripts, welche das Problem lösen sollten, aber keines funktionierte "out of the box"!!!

So tauchten dann nach den einzelnen Versuchen neue Fehlermeldungen auf, wie z.B.

  • Error displaying the error page: Application Instantiation Error: Could not connect to MySQL

  • php Zip extension not available on this server php 5.4

  • und andere

Heute kam dann der Durchbruch und die ich fand endlich einen Weg, PHP in der Version 5.4.28 fehlerfrei zu installieren, womit unsere Webseite nun wieder lauffähig ist.

Also, auf zum nächsten Problem!!!

Euer Server-Hosting-Neuling